Refunds

List refunds for a transaction

Lists all refunds created for a transaction belonging to the authenticated business.

GET
/api/v1/refund/{reference}/transaction

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

reference*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/refund/TRN_1234567890/transaction"
{
  "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
  "requestTimestamp": "2026-08-31 09:00:00.000",
  "message": "Refund history fetched successfully.",
  "statusCode": 200,
  "data": [
    {
      "id": "019a1639-ce25-70b7-ab20-16fcb2bac023",
      "reference": "RFD_A1B2C3D4E5F6",
      "originalTransactionReference": "TRN_A1B2C3D4E5F6",
      "businessState": "test",
      "type": "partial",
      "status": "SUBMITTED",
      "amount": {
        "value": 5000,
        "currency": "NGN",
        "formatted": "NGN5000"
      },
      "currency": "NGN",
      "sessionId": "000016250720091500123456789012",
      "destinationAccountName": "Jane Doe",
      "destinationAccountNumber": "0123456789",
      "destinationBankName": "Guaranty Trust Bank",
      "destinationBankCode": "058",
      "initiator": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "Jane Doe",
        "email": "jane@example.com",
        "role": "owner"
      },
      "scheduledFor": "2026-09-01T09:00:00+00:00",
      "failureReason": "string",
      "createdAt": "2026-08-31T09:00:00+00:00"
    }
  ]
}
Empty

How is this guide?

Last updated on